
From: Jesper Juhl <juhl-lkml@dif.dk>

I'm compiling 2.6.1-rc1-mm1 with "-W -Wall" to look for potential problems
and minor stuff to clean up.

One of the things that enabling the extra warnings turn up is errors about
the placement of the inline keyword.



 arch/i386/kernel/efi.c |    4 ++--
 include/linux/efi.h    |    4 ++--
 kernel/posix-timers.c  |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/i386/kernel/efi.c~efi-inline-fixes arch/i386/kernel/efi.c
--- 25/arch/i386/kernel/efi.c~efi-inline-fixes	2004-01-03 19:09:17.000000000 -0800
+++ 25-akpm/arch/i386/kernel/efi.c	2004-01-03 19:09:17.000000000 -0800
@@ -174,7 +174,7 @@ phys_efi_get_time(efi_time_t *tm, efi_ti
 	return status;
 }
 
-int inline efi_set_rtc_mmss(unsigned long nowtime)
+inline int efi_set_rtc_mmss(unsigned long nowtime)
 {
 	int real_seconds, real_minutes;
 	efi_status_t 	status;
@@ -207,7 +207,7 @@ int inline efi_set_rtc_mmss(unsigned lon
  * services have been remapped, therefore, we'll need to call in physical
  * mode.  Note, this call isn't used later, so mark it __init.
  */
-unsigned long inline __init efi_get_time(void)
+inline unsigned long __init efi_get_time(void)
 {
 	efi_status_t status;
 	efi_time_t eft;
diff -puN include/linux/efi.h~efi-inline-fixes include/linux/efi.h
--- 25/include/linux/efi.h~efi-inline-fixes	2004-01-03 19:09:17.000000000 -0800
+++ 25-akpm/include/linux/efi.h	2004-01-03 19:09:17.000000000 -0800
@@ -297,8 +297,8 @@ extern u64 efi_mem_attributes (unsigned 
 extern void efi_initialize_iomem_resources(struct resource *code_resource,
 					struct resource *data_resource);
 extern efi_status_t phys_efi_get_time(efi_time_t *tm, efi_time_cap_t *tc);
-extern unsigned long inline __init efi_get_time(void);
-extern int inline __init efi_set_rtc_mmss(unsigned long nowtime);
+extern inline unsigned long __init efi_get_time(void);
+extern inline int __init efi_set_rtc_mmss(unsigned long nowtime);
 extern struct efi_memory_map memmap;
 
 #ifdef CONFIG_EFI
diff -puN kernel/posix-timers.c~efi-inline-fixes kernel/posix-timers.c
--- 25/kernel/posix-timers.c~efi-inline-fixes	2004-01-03 19:09:17.000000000 -0800
+++ 25-akpm/kernel/posix-timers.c	2004-01-03 19:09:17.000000000 -0800
@@ -574,7 +574,7 @@ static struct k_itimer * lock_timer(time
  * it is the same as a requeue pending timer WRT to what we should
  * report.
  */
-void inline
+inline void
 do_timer_gettime(struct k_itimer *timr, struct itimerspec *cur_setting)
 {
 	unsigned long expires;

_
